Bug 110199 - Incorrect software raid device created for raid device > 3
Incorrect software raid device created for raid device > 3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-16 17:18 EST by Leigh Anderson
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 18:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leigh Anderson 2003-11-16 17:18:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
When using DiskDruid to create a raid device on a system with 4 raid
devices already created and active, the new device is created as md0.

The new device shows in the disk druid listing as "Raid Device 4", but
when the device is actually created, it is created as md0. This leads
to  the problem of having two arrays on the disk claiming to be md0,
and depending on the phase of the moon, the installer may trash the
contents of the previously existing md0 array. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH Linux on a software raid partition
2. reboot, and create 3 additional software raid partitions
3. Re-run the installation, creating a new software raid partition for
the second install. This should appear as "Raid Device 4" 
4. Complete the installation, and note that there are now two md0 arrays.
    

Actual Results:  Device is created as 'md0'

Expected Results:  Device is created as 'md4'

Additional info:

Workaround: Create raid devices before starting the installation.
Comment 1 Jeremy Katz 2004-04-16 18:19:07 EDT
This should be better in newer code.

Note You need to log in before you can comment on or make changes to this bug.